// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.9
// source: proto/master/catalog/transport_shelter.proto

package catalog

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// TransportShelterServiceClient is the client API for TransportShelterService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type TransportShelterServiceClient interface {
	CreateTransportShelter(ctx context.Context, in *CreateTransportShelterRequest, opts ...grpc.CallOption) (*TransportShelter, error)
	UpdateTransportShelter(ctx context.Context, in *UpdateTransportShelterRequest, opts ...grpc.CallOption) (*TransportShelter, error)
	DeleteTransportShelter(ctx context.Context, in *TransportShelterIdentifierRequest, opts ...grpc.CallOption) (*DeleteTransportShelterResponse, error)
	GetTransportShelterByID(ctx context.Context, in *TransportShelterIdentifierRequest, opts ...grpc.CallOption) (*TransportShelter, error)
	GetListTransportShelter(ctx context.Context, in *TransportShelterFilterQuery, opts ...grpc.CallOption) (*ListTransportShelter, error)
}

type transportShelterServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTransportShelterServiceClient(cc grpc.ClientConnInterface) TransportShelterServiceClient {
	return &transportShelterServiceClient{cc}
}

func (c *transportShelterServiceClient) CreateTransportShelter(ctx context.Context, in *CreateTransportShelterRequest, opts ...grpc.CallOption) (*TransportShelter, error) {
	out := new(TransportShelter)
	err := c.cc.Invoke(ctx, "/master.catalog.TransportShelterService/CreateTransportShelter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportShelterServiceClient) UpdateTransportShelter(ctx context.Context, in *UpdateTransportShelterRequest, opts ...grpc.CallOption) (*TransportShelter, error) {
	out := new(TransportShelter)
	err := c.cc.Invoke(ctx, "/master.catalog.TransportShelterService/UpdateTransportShelter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportShelterServiceClient) DeleteTransportShelter(ctx context.Context, in *TransportShelterIdentifierRequest, opts ...grpc.CallOption) (*DeleteTransportShelterResponse, error) {
	out := new(DeleteTransportShelterResponse)
	err := c.cc.Invoke(ctx, "/master.catalog.TransportShelterService/DeleteTransportShelter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportShelterServiceClient) GetTransportShelterByID(ctx context.Context, in *TransportShelterIdentifierRequest, opts ...grpc.CallOption) (*TransportShelter, error) {
	out := new(TransportShelter)
	err := c.cc.Invoke(ctx, "/master.catalog.TransportShelterService/GetTransportShelterByID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportShelterServiceClient) GetListTransportShelter(ctx context.Context, in *TransportShelterFilterQuery, opts ...grpc.CallOption) (*ListTransportShelter, error) {
	out := new(ListTransportShelter)
	err := c.cc.Invoke(ctx, "/master.catalog.TransportShelterService/GetListTransportShelter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TransportShelterServiceServer is the server API for TransportShelterService service.
// All implementations must embed UnimplementedTransportShelterServiceServer
// for forward compatibility
type TransportShelterServiceServer interface {
	CreateTransportShelter(context.Context, *CreateTransportShelterRequest) (*TransportShelter, error)
	UpdateTransportShelter(context.Context, *UpdateTransportShelterRequest) (*TransportShelter, error)
	DeleteTransportShelter(context.Context, *TransportShelterIdentifierRequest) (*DeleteTransportShelterResponse, error)
	GetTransportShelterByID(context.Context, *TransportShelterIdentifierRequest) (*TransportShelter, error)
	GetListTransportShelter(context.Context, *TransportShelterFilterQuery) (*ListTransportShelter, error)
	mustEmbedUnimplementedTransportShelterServiceServer()
}

// UnimplementedTransportShelterServiceServer must be embedded to have forward compatible implementations.
type UnimplementedTransportShelterServiceServer struct {
}

func (UnimplementedTransportShelterServiceServer) CreateTransportShelter(context.Context, *CreateTransportShelterRequest) (*TransportShelter, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTransportShelter not implemented")
}
func (UnimplementedTransportShelterServiceServer) UpdateTransportShelter(context.Context, *UpdateTransportShelterRequest) (*TransportShelter, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateTransportShelter not implemented")
}
func (UnimplementedTransportShelterServiceServer) DeleteTransportShelter(context.Context, *TransportShelterIdentifierRequest) (*DeleteTransportShelterResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTransportShelter not implemented")
}
func (UnimplementedTransportShelterServiceServer) GetTransportShelterByID(context.Context, *TransportShelterIdentifierRequest) (*TransportShelter, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTransportShelterByID not implemented")
}
func (UnimplementedTransportShelterServiceServer) GetListTransportShelter(context.Context, *TransportShelterFilterQuery) (*ListTransportShelter, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetListTransportShelter not implemented")
}
func (UnimplementedTransportShelterServiceServer) mustEmbedUnimplementedTransportShelterServiceServer() {
}

// UnsafeTransportShelterServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to TransportShelterServiceServer will
// result in compilation errors.
type UnsafeTransportShelterServiceServer interface {
	mustEmbedUnimplementedTransportShelterServiceServer()
}

func RegisterTransportShelterServiceServer(s grpc.ServiceRegistrar, srv TransportShelterServiceServer) {
	s.RegisterService(&TransportShelterService_ServiceDesc, srv)
}

func _TransportShelterService_CreateTransportShelter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTransportShelterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportShelterServiceServer).CreateTransportShelter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/master.catalog.TransportShelterService/CreateTransportShelter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportShelterServiceServer).CreateTransportShelter(ctx, req.(*CreateTransportShelterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportShelterService_UpdateTransportShelter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateTransportShelterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportShelterServiceServer).UpdateTransportShelter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/master.catalog.TransportShelterService/UpdateTransportShelter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportShelterServiceServer).UpdateTransportShelter(ctx, req.(*UpdateTransportShelterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportShelterService_DeleteTransportShelter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TransportShelterIdentifierRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportShelterServiceServer).DeleteTransportShelter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/master.catalog.TransportShelterService/DeleteTransportShelter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportShelterServiceServer).DeleteTransportShelter(ctx, req.(*TransportShelterIdentifierRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportShelterService_GetTransportShelterByID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TransportShelterIdentifierRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportShelterServiceServer).GetTransportShelterByID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/master.catalog.TransportShelterService/GetTransportShelterByID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportShelterServiceServer).GetTransportShelterByID(ctx, req.(*TransportShelterIdentifierRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportShelterService_GetListTransportShelter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TransportShelterFilterQuery)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportShelterServiceServer).GetListTransportShelter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/master.catalog.TransportShelterService/GetListTransportShelter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportShelterServiceServer).GetListTransportShelter(ctx, req.(*TransportShelterFilterQuery))
	}
	return interceptor(ctx, in, info, handler)
}

// TransportShelterService_ServiceDesc is the grpc.ServiceDesc for TransportShelterService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var TransportShelterService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "master.catalog.TransportShelterService",
	HandlerType: (*TransportShelterServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateTransportShelter",
			Handler:    _TransportShelterService_CreateTransportShelter_Handler,
		},
		{
			MethodName: "UpdateTransportShelter",
			Handler:    _TransportShelterService_UpdateTransportShelter_Handler,
		},
		{
			MethodName: "DeleteTransportShelter",
			Handler:    _TransportShelterService_DeleteTransportShelter_Handler,
		},
		{
			MethodName: "GetTransportShelterByID",
			Handler:    _TransportShelterService_GetTransportShelterByID_Handler,
		},
		{
			MethodName: "GetListTransportShelter",
			Handler:    _TransportShelterService_GetListTransportShelter_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/master/catalog/transport_shelter.proto",
}
